import * as wjcCore from 'wijmo/wijmo';
import * as wjcNav from 'wijmo/wijmo.nav';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule }   from '@angular/forms'; 
import { NgModule } from '@angular/core';
import {DataSvc} from "../services/DataSvc";
import { AppComponent } from './app.component';
import {WjInputModule} from "wijmo/wijmo.angular2.input";
import {WjGridModule} from "wijmo/wijmo.angular2.grid";
import { MatCheckboxModule,MatButtonModule } from "@angular/material";

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    FormsModule,
    WjInputModule,
      WjGridModule,
      MatCheckboxModule,
      MatButtonModule
  ],
  providers: [DataSvc],
  bootstrap: [AppComponent]
})
export class AppModule { }
